let actor = await DragDialog.create({title : this.effect.name, text : "Gib einen Tätowierer-Akteur an (schließen, um Proben zu überspringen)"})

if (!actor)
{
    this.script.notification("Proben zum Anbringen der Tätowierungen übersprungen");
    if (await foundry.applications.api.Dialog.confirm({
      window: {title: this.effect.name},
      content : "<p>Effekt des Grimnirschutzes anwenden?</p>"
    }))
    {
      return;
    }
    else
    {
      return false;
    }
}


let failed = false;
if (this.actor.itemTags.skill.find(i => i.name == "Wissen (Theologie)"))
{
  let test = await this.actor.setupSkill("Wissen (Theologie)", {appendTitle : ` - ${this.effect.name}`, fields : {difficulty : "vhard"}})
  await test.roll();
  if (test.failed)
  {
    failed = true;
  }
}
else
{
  this.script.notification("Fähigkeit Wissen (Theologie) nicht gefunden, kann nicht fortfahren.")
  failed = true;
}

if (this.actor.itemTags.skill.find(i => i.name == "Wissen (Runen)"))
  {
    let test = await this.actor.setupSkill("Wissen (Runen)", {appendTitle : ` - ${this.effect.name}`, fields : {difficulty : "hard"}})
    await test.roll();
    if (test.failed)
    {
      failed = true;
    }
  }
  else
  {
    this.script.notification("Fähigkeit Wissen (Runen) nicht gefunden, kann nicht fortfahren.")
    failed = true;
  }


  let test = await this.actor.setupSkill("Kunst (Tätowierungen)", {appendTitle : ` - ${this.effect.name}`})
  await test.roll();
  if (test.failed)
  {
    failed = true;
  }

  if (failed)
  {
    this.script.message("Eine oder mehrere Proben zum Anbringen der Tätowierungen sind fehlgeschlagen.")
    return false;
  }
  else
  {
    return true;
  }